PackedSequenceData Class Reference
Inheritance diagram for PackedSequenceData:
[legend]
Collaboration diagram for PackedSequenceData:
[legend]

## Public Member Functions

void | reserve (size_t baseCount)
size_t | size ()
void | clear ()
uint8_t | operator[] (size_t index)
void | push_back (uint8_t base)
char | operator[] (PackedVectorIndex_t baseIndex)
void | set (PackedVectorIndex_t baseIndex, char value)
void | push_back (char value)
Public Member Functions inherited from PackedVector< accessorFunc, setterFunc, elementCount2BytesFunc >
uint32_t | operator[] (uint32_t i)
void | set (uint32_t i, uint32_t v)
size_t | getElementCount () const
double | getUtilization ()
void | reserve (uint32_t reserveElements)
size_t | size ()
void | resize (uint32_t newSize)
void | push_back (uint32_t value)

## Additional Inherited Members

Protected Attributes inherited from PackedVector< accessorFunc, setterFunc, elementCount2BytesFunc >
std::vector< uint8_t > | m_data
size_t | m_elementCount
double | m_growthRateMultiplier
double | m_growthRateAdder

## Detailed Description

Definition at line 381 of file GenomeSequence.cpp.

The documentation for this class was generated from the following files:

- general/GenomeSequence.cpp
- general/ReferenceSequence.h